libnvme(2)

NAME
struct nvme_fdp_event - FDP Event

SYNOPSIS
struct nvme_fdp_event {
__u8 type;
__u8 flags;
__le16 pid;
struct nvme_timestamp ts;
__le32 nsid;
__u8 type_specific[16];
__le16 rgid;
__u8 ruhid;
__u8 rsvd35[5];
__u8 vs[24];
};

Members

type
    Event Type (enum nvme_fdp_event_type)

flags
    Event Flags (enum nvme_fdp_event_flags)

pid Placement Identifier

ts  Timestamp

nsid
    Namespace Identifier

type_specific
    Event Type Specific Information

rgid
    Reclaim Group Identifier

ruhid
    Reclaim Unit Handle Identifier

rsvd35
    Reserved

vs  Vendor Specific